<h1>Login</h1>

<form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
  <label>
    Email:
    <input type="email" formControlName="email">
    <div *ngIf="email.invalid && (email.dirty || email.touched)" [style.color]="'RED'">Email invalid</div>
  </label>
  <br>
  <label>
    Password:
    <input type="password" formControlName="password">
    <div *ngIf="password.invalid && (password.dirty || password.touched)" [style.color]="'RED'">Password invalid</div>
  </label>
  <br>
  <input type="submit" value="login" [disabled]="!loginForm.valid">

  <p [style.color]="'RED'">{{ formSubmitError }}</p>
</form>
